Uçuşlar
Re-price an offer right before booking. `priceChanged` tells you the total moved.
post/v1/flights/offers/{offerId}/price
- Autentifikasiya tələb olunur
Parametrlər
| Ad | Yer | Tip | Təsvir |
|---|---|---|---|
| offerId* | yol | string |
Cavablar
200OKFlightPriceResponse
- FlightOffer
- offerIdstring
- expiresAtstring (date-time)
UTC ISO-8601; the offer must be priced/booked before this.
- validatingCarrierstringnull ola bilər
- Slice[]
- PassengerPricing[]
- Money
Money on the wire: decimal string (never a float) + ISO 4217.
- Money
Money on the wire: decimal string (never a float) + ISO 4217.
- Money
Money on the wire: decimal string (never a float) + ISO 4217.
- refundablebooleannull ola bilər
- passportRequiredboolean
- selfTransferboolean
- charterboolean
- tripTypestringnull ola bilər
- priceChangedboolean
- baggagestringnull ola bilər
- endorsementstringnull ola bilər
- 404Not FoundRFC 7807 problem təfərrüatları
Kod nümunələri
Sorğunu şlüzün yoxladığı qaydada imzalayan tam proqramlar. YOUR_KEY_ID və YOUR_SECRET dəyərlərini əvəz edin.
# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'POST\n/v1/flights/offers/fo_7Gk2Qp9LcKM5aGqrMQOIzJko/price\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')
curl -X POST "https://api.dubaitrip.com/v1/flights/offers/fo_7Gk2Qp9LcKM5aGqrMQOIzJko/price" \
-H "X-API-Key: $KEY_ID" \
-H "X-Timestamp: $TS" \
-H "X-Nonce: $NONCE" \
-H "X-Signature: $SIG" \
-H "Accept: application/json"